<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Bibliothéque de ISET SFAX</title>

    <!-- Google Font: Source Sans Pro -->
    <link rel="stylesheet"
          href="{{ asset ('https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700&display=fallback')}}">
    <!-- Font Awesome -->
    <link rel="stylesheet" href="{{ asset ('template/plugins/fontawesome-free/css/all.min.css')}}">
    <!-- Ionicons -->
    <link rel="stylesheet" href="{{ asset ('https://code.ionicframework.com/ionicons/2.0.1/css/ionicons.min.css')}}">
    <!-- Tempusdominus Bootstrap 4 -->
    <link rel="stylesheet" href="{{ asset ('template/plugins/tempusdominus-bootstrap-4/css/tempusdominus-bootstrap-4.min.css')}}">
    <!-- iCheck -->
    <link rel="stylesheet" href="{{ asset ('templateplugins/icheck-bootstrap/icheck-bootstrap.min.css')}}">
    <!-- JQVMap -->
    <link rel="stylesheet" href="{{ asset ('template/plugins/jqvmap/jqvmap.min.css')}}">
    <!-- Theme style -->
    <link rel="stylesheet" href="{{ asset ('template/dist/css/adminlte.min.css')}}">
    <!-- overlayScrollbars -->
    <link rel="stylesheet" href="{{ asset ('template/plugins/overlayScrollbars/css/OverlayScrollbars.min.css')}}">
    <!-- Daterange picker -->
    <link rel="stylesheet" href="{{ asset ('template/plugins/daterangepicker/daterangepicker.css')}}">
    <!-- summernote -->
    <link rel="stylesheet" href="{{ asset ('template/plugins/summernote/summernote-bs4.min.css')}}">

    <!-- Google Font: Source Sans Pro -->
    <link rel="stylesheet" href="{{ asset ('https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700&display=fallback')}}">
    <!-- Font Awesome -->
    <link rel="stylesheet" href="{{ asset ('template/plugins/fontawesome-free/css/all.min.css')}}">
    <!-- Theme style -->
    <link rel="stylesheet" href="{{ asset ('template/dist/css/adminlte.min.css')}}">

</head>
<body class="hold-transition sidebar-mini layout-fixed">
<div class="wrapper">

    <!-- Preloader -->
    <div class="preloader flex-column justify-content-center align-items-center">
        <img class="animation__shake" src="{{ asset ('template/dist/img/iset_logo.jpg') }}" height="60" width="60">
    </div>

    <!-- Navbar -->
    <nav class="main-header navbar navbar-expand navbar-white navbar-light">
        <!-- Left navbar links -->
        <ul class="navbar-nav">
            <li class="nav-item">
                <a class="nav-link" data-widget="pushmenu" href="#" role="button"><i class="fas fa-bars"></i></a>
            </li>
            <li class="nav-item d-none d-sm-inline-block">
                <a href="/acceuil" class="nav-link">Acceuil</a>
            </li>
            <li class="nav-item d-none d-sm-inline-block">
                <a href="#" class="nav-link">Contact</a>
            </li>
        </ul>

        <!-- Right navbar links -->
        <ul class="navbar-nav ml-auto">
            <li class="nav-item">
                <a class="nav-link" data-widget="fullscreen" href="#" role="button">
                    <i class="fas fa-expand-arrows-alt"></i>
                </a>
            </li>
        </ul>
    </nav>
    <!-- /.navbar -->

    <!-- Main Sidebar Container -->
    <aside class="main-sidebar sidebar-dark-primary elevation-4">
        <!-- Brand Logo -->
        <div style="text-align: center;">
            <a href="/acceuil" class="brand-link" >
                <img src="{{ asset ('template/dist/img/iset_logo.jpg') }}"
                     style="opacity: .8; width: 40px; padding-right: 10px;">
                <span class="brand-text font-weight-light" >ISET SFAX</span>
            </a>
        </div>


        <!-- Sidebar -->
        <div class="sidebar">
            <!-- Sidebar user panel (optional) -->
            <div class="user-panel {#mt-3 pb-3 mb-3 d-flex#}" style="font-weight: bold; height: 63px; display: flex; align-items: center; justify-content: center;">
                {#<div class="image">
                    <img src="{{ asset ('template/dist/img/user2-160x160.jpg') }}" class="img-circle elevation-2" >
                </div>#}
                {% if is_granted('IS_AUTHENTICATED_FULLY') %}
                    <div class="info" {#style="display: flex; align-items: center; justify-content: center"#}>
                        <a href="#" class="d-block">User Login: {{ app.user.login }}</a>
                    </div>
                {% else %}
                    <div class="info" {#style="display: flex; align-items: center; justify-content: center"#}>
                        <a href="#" class="d-block">Access Anonymous</a>
                    </div>
                {% endif %}
            </div>

            <!-- Sidebar Menu -->
            <nav class="mt-2">
                <ul class="nav nav-pills nav-sidebar flex-column" data-widget="treeview" role="menu"
                    data-accordion="false">
                    <!-- Add icons to the links using the .nav-icon class
                         with font-awesome or any other icon font library -->

                    {% if is_granted('ROLE_ADMIN') %}
                        <li class="nav-item">
                            <a href="/acceuil" class="nav-link">
                                <i class="nav-icon fas fa-home"></i>
                                <p>
                                    Acceuil
                                </p>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a href="/admin/livre" class="nav-link">
                                <i class="nav-icon fas fa-book"></i>
                                <p>
                                    Liste des Livres
                                </p>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a href="/admin/auteur" class="nav-link">
                                <i class="nav-icon fas fa-user-edit"></i>
                                <p>
                                    Liste des Auteurs
                                </p>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a href="/admin/editeur" class="nav-link">
                                <i class="nav-icon fas fa-print"></i>
                                <p>
                                    Liste des Editeurs
                                </p>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a href="/admin/categorie" class="nav-link">
                                <i class="nav-icon fas fa-tags"></i>
                                <p>
                                    Liste des Catégories
                                </p>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a href="/admin/allusers" class="nav-link">
                                <i class="nav-icon fa fa-users"></i>
                                <p>
                                    Liste des Utilisateurs
                                </p>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a href="/register" class="nav-link">
                                <i class="nav-icon fa fa-user-plus"></i>
                                <p>
                                    Ajouter un Utilisateur
                                </p>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a href="/logout" class="nav-link">
                                <i class="nav-icon fas fa-sign-out-alt"></i>
                                <p>
                                    Log Out
                                </p>
                            </a>
                        </li>

                    {% elseif is_granted('ROLE_USER') %}
                        <li class="nav-item">
                            <a href="/acceuil" class="nav-link">
                                <i class="nav-icon fas fa-home"></i>
                                <p>
                                    Acceuil
                                </p>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a href="/user/livre" class="nav-link">
                                <i class="nav-icon fas fa-book"></i>
                                <p>
                                    Liste des Livres
                                </p>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a href="{{ path('show_all_livres_to_emprunt', {'id': app.user.id}) }}" class="nav-link">
                                <i class="nav-icon fas fa-book"></i>
                                <p>
                                    Liste des Livres à Emprunter
                                </p>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a href="{{ path('show_all_livres_empruntes', {'id': app.user.id}) }}" class="nav-link">
                                <i class="nav-icon fas fa-book"></i>
                                <p>
                                    Liste des Livres Empruntés
                                </p>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a href="/register" class="nav-link">
                                <i class="nav-icon fa fa-user-plus"></i>
                                <p>
                                    Ajouter un Utilisateur
                                </p>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a href="/logout" class="nav-link">
                                <i class="nav-icon fas fa-sign-out-alt"></i>
                                <p>
                                    Sign Out
                                </p>
                            </a>
                        </li>

                    {% else%}
                            <li class="nav-item">
                                <a href="/acceuil" class="nav-link">
                                    <i class="nav-icon fas fa-home"></i>
                                    <p>
                                        Acceuil
                                    </p>
                                </a>
                            </li>
                            <li class="nav-item">
                                <a href="/livre" class="nav-link">
                                    <i class="nav-icon fas fa-book"></i>
                                    <p>
                                        Liste des Livres
                                    </p>
                                </a>
                            </li>
                            <li class="nav-item">
                                <a href="/register" class="nav-link">
                                    <i class="nav-icon fa fa-user-plus"></i>
                                    <p>
                                        Inscription
                                    </p>
                                </a>
                            </li>
                            <li class="nav-item">
                                <a href="/login" class="nav-link">
                                    <i class="nav-icon fas fa-sign-in-alt"></i>
                                    <p>
                                        Log in
                                    </p>
                                </a>
                            </li>
                    {% endif %}
                </ul>
            </nav>
            <!-- /.sidebar-menu -->
        </div>
        <!-- /.sidebar -->
    </aside>

    <!-- Content Wrapper. Contains page content -->
    <div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <div class="content-header">
            <div class="container-fluid">
                <div class="row mb-2">
                    <div class="col-sm-6" {#style="margin-bottom: 10px"#}>

                        <h1 class="m-0" style="font-size: 35px; border-bottom: solid;
                        width: 400px; border-color: #D4D4D4; border-width: thin; padding-left: 10px;">

                        {% block title %}Acceuil{% endblock%}</h1>

                    </div><!-- /.col -->
                </div><!-- /.row -->
            </div><!-- /.container-fluid -->
        </div>

        {% block body %}
            <!-- Main content -->
            <section class="content" style="padding-left: 100px; padding-top: 20px;">
                <div class="container-fluid">
                    <div class="row">

                        <div class="login-box">
                        <div class="card card-outline card-primary" style="color: #343a40; border-top-color: #343a40; width: 900px; padding: 30px;">
                        <!-- /.col -->
                        {#<div class="col-md-9">#}
                            {#<div class="card" >
                                <div class="card-body">#}
                                    <div class="tab-content">
                                        <div class="active tab-pane" id="activity">

                                            <!-- Post -->
                                            <div class="post">
                                                <p style="font-size: 30px; text-align: center">Bienvenue dans le site web de la bibliothèque de ISET Sfax.</p>
                                                <p style="font-size: 15px">Ce site vous permet de consulter la liste des livres disponibles dans la bibliothèque de l'ISET,
                                                    la liste des editeurs de ces livres ainsi que la liste des auteurs.
                                                    Vous pouvez emprunter des livres de vos choix.
                                                </p>
                                                <br>
                                                <p style="font-size: 12px; font-weight: bold">
                                                    NB:
                                                    <br>- Ne jamais partager vos login et mot de passe.
                                                    <br>- En cas d'oubli de login ou de mot de passe, veuillez consulter l'administration de l'ISET.
                                                </p>
                                            </div>
                                            <!-- /.post -->
                                       {# </div>
                                        <!-- /.tab-pane -->
                                    </div>#}
                                    <!-- /.tab-content -->
                                {#</div>#}<!-- /.card-body -->
                            </div>
                            <!-- /.card -->
                        </div>
                        <!-- /.col -->
                    </div>
                        </div>
                    </div>
                    <!-- /.row -->
                </div><!-- /.container-fluid -->
            </section>
            <!-- /.content -->
        {% endblock%}

    </div>



    <!-- /.content-wrapper -->
    <footer class="main-footer" style="text-align: center;">
        <strong>Copyright &copy; 2021 <a href="http://www.isetsf.rnu.tn/">ISET_SFAX.tn</a>.</strong>
        All rights reserved.
    </footer>

</div>
<!-- ./wrapper -->

<!-- jQuery -->
<script src="{{ asset ('template/plugins/jquery/jquery.min.js')}}"></script>
<!-- jQuery UI 1.11.4 -->
<script src="{{ asset ('template/plugins/jquery-ui/jquery-ui.min.js')}}"></script>
<!-- Resolve conflict in jQuery UI tooltip with Bootstrap tooltip -->
<script>
    $.widget.bridge('uibutton', $.ui.button)
</script>
<!-- Bootstrap 4 -->
<script src="{{ asset ('template/plugins/bootstrap/js/bootstrap.bundle.min.js')}}"></script>
<!-- ChartJS -->
<script src="{{ asset ('template/plugins/chart.js/Chart.min.js')}}"></script>
<!-- Sparkline -->
<script src="{{ asset ('template/plugins/sparklines/sparkline.js')}}"></script>
<!-- JQVMap -->
<script src="{{ asset ('template/plugins/jqvmap/jquery.vmap.min.js')}}"></script>
<script src="{{ asset ('template/plugins/jqvmap/maps/jquery.vmap.usa.js')}}"></script>
<!-- jQuery Knob Chart -->
<script src="{{ asset ('template/plugins/jquery-knob/jquery.knob.min.js')}}"></script>
<!-- daterangepicker -->
<script src="{{ asset ('template/plugins/moment/moment.min.js')}}"></script>
<script src="{{ asset ('template/plugins/daterangepicker/daterangepicker.js')}}"></script>
<!-- Tempusdominus Bootstrap 4 -->
<script src="{{ asset ('template/plugins/tempusdominus-bootstrap-4/js/tempusdominus-bootstrap-4.min.js')}}"></script>
<!-- Summernote -->
<script src="{{ asset ('template/plugins/summernote/summernote-bs4.min.js')}}"></script>
<!-- overlayScrollbars -->
<script src="{{ asset ('template/plugins/overlayScrollbars/js/jquery.overlayScrollbars.min.js')}}"></script>
<!-- App -->
<script src="{{ asset ('template/dist/js/adminlte.js')}}"></script>
<!-- demo -->
<script src="{{ asset ('template/dist/js/demo.js')}}"></script>
<!--  dashboard -->
<script src="{{ asset ('template/dist/js/pages/dashboard.js')}}"></script>
<!--  Plugins -->
<script src="{{ asset ('template/plugins/datatables/jquery.dataTables.min.js')}}"></script>
<script src="{{ asset ('template/plugins/datatables-bs4/js/dataTables.bootstrap4.min.js')}}"></script>
<script src="{{ asset ('template/plugins/datatables-responsive/js/dataTables.responsive.min.js')}}"></script>
<script src="{{ asset ('template/plugins/datatables-responsive/js/responsive.bootstrap4.min.js')}}"></script>
<script src="{{ asset ('template/plugins/datatables-buttons/js/dataTables.buttons.min.js')}}"></script>
<script src="{{ asset ('template/plugins/datatables-buttons/js/buttons.bootstrap4.min.js')}}"></script>
<script src="{{ asset ('template/plugins/jszip/jszip.min.js')}}"></script>
<script src="{{ asset ('template/plugins/pdfmake/pdfmake.min.js')}}"></script>
<script src="{{ asset ('template/plugins/pdfmake/vfs_fonts.js')}}"></script>
<script src="{{ asset ('template/plugins/datatables-buttons/js/buttons.html5.min.js')}}"></script>
<script src="{{ asset ('template/plugins/datatables-buttons/js/buttons.print.min.js')}}"></script>
<script src="{{ asset ('template/plugins/datatables-buttons/js/buttons.colVis.min.js')}}"></script>
<script>
    $(function () {
        $("#example1").DataTable({
            language: {
                    searchPlaceholder: "...",
                    search: "Rechercher",

                    sLengthMenu: {% block menu %}"Show _MENU_"{% endblock %},
                },
            "paging": {% block paging %}true{% endblock %},
            "autoWidth": false,
            "searching": {% block searching %}true{% endblock %}
            }
        );
    });
</script>
{% block added_script_code %} {% endblock %}
</body>
</html>
